/*
 * config.h
 *
 * Created: 12.09.2013 11:44:01
 *  Author: Orion
 */ 


#ifndef CONFIG_H_
#define CONFIG_H_

#include <stdint.h>

/************************************************************************/
/*                                                               */
/************************************************************************/

//#define PROTEUS    //    , Debug
//#define ATMEL      //    ,     Release

#define SBI(port,bit)    port |= 1 << bit
#define CBI(port,bit)    port &= ~(1 << bit)

/************************************************************************/
/*                                         */
/************************************************************************/

#define CHANNELS        2               //    
#define DIGITS          2               //      

typedef struct
{
    int8_t  value;                  //    
    int16_t error;                  //      
    uint8_t selected :1;            //      
    uint8_t hide :1;                //      
    uint8_t Symbols[DIGITS];        //      
} channels_t;

uint8_t rev(uint8_t value);
//void config(void);


#endif /* INCFILE1_H_ */