/*
 * spi.h
 *
 * Created: 24.09.2013 11:14:16
 *  Author: Orion
 */ 


#ifndef SPI_H_
#define SPI_H_

#include <stdint.h>
#include <avr/io.h>

//  Enable SPI

static inline void SPIInit()
{
    SPCR = 1<<SPE | 
           1<<MSTR | 
           0<<SPR0;     //  clk rate fck/16
    DDRB = 1<<PB2 |     //  !SS
           1<<PB3 |     //  MOSI
           //1<<PB4 |     //  MISO
           1<<PB5;      //  SCK
}    

void SPIWrite(uint8_t value);

#endif /* SPI_H_ */